[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseShowFunction

# Function: UseShowFunction()

> **UseShowFunction**(`showFunction`, `options`): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:60](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts#L60)

## Parameters

### showFunction

[`ControlHideShowFunction`](../type-aliases/ControlHideShowFunction.md)

### options

[`ControlHideShowOptions`](../interfaces/ControlHideShowOptions.md) = `{}`

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
